сгенерировать qr-код (для СБП)
POST/invoices/:invoice_id/qr_codes
сгенерировать qr-код (для СБП) возвращает *.svg
Request
Path Parameters
внутренний номер инвойса
Responses
- 201
- 400
- 401
- 404
- 429
- 498
Example response
- application/json
- Schema
- Example (from schema)
Schema
адрес страницы NSPK
SVG с QR-кодом, зашит тот же самый адрес NSPK
{
"url": "https://url.life-pay.ru",
"svg": "string"
}
Bad Request
- application/json
- Schema
- Example (from schema)
- BadRequest
- InvalidParameterValue
- ExpireInvoice
- QrChannelUnavailable
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "missing_required_request_parameter",
"message": "Отсутствует обязательный параметр запроса"
}
{
"code": "invalid_parameter_value",
"message": "Некорректный параметр запроса"
}
{
"code": "operation_cannot_be_performed",
"message": "Недопустимый статус инвойса: error"
}
{
"code": "unknown_error_code",
"message": "Канал не доступен"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Unauthorized
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "unauthorized",
"message": "Ошибка аутентификации"
}
Not Found
- application/json
- Schema
- Example (from schema)
- NotFound
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "resource_not_found",
"message": "Запрашиваемая информация не найдена"
}
Too Many Requests
- application/json
- Schema
- Example (from schema)
- Too Many Requests
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "too_many_requests",
"message": "Превышено ограничение на количество запросов в секунду"
}
Invalid Token
- application/json
- Schema
- Example (from schema)
- Bad Invoice Id
- No Service Id
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Вы не можете проводить операцию для этого invoice_id",
"info": "Invoice in JWT token doesn't match invoice from URL"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Идентификатор service_id в теле токена не может быть пустым",
"info": "JWT token must contain service_id"
}